# Uses of Interface
org.eclipse.emf.cdo.etypes.EtypesPackage

Packages that use EtypesPackage
Package
Description
org.eclipse.emf.cdo.etypes
The generated EMF API of the CDO system data types and native annotations.
org.eclipse.emf.cdo.etypes.impl
The generated EMF implementation of the CDO system data types and native annotations.
org.eclipse.emf.cdo.etypes.util
The generated EMF utilities of the CDO system data types and native annotations.

## Uses of EtypesPackage in org.eclipse.emf.cdo.etypes

Fields in org.eclipse.emf.cdo.etypes declared as EtypesPackage
Modifier and Type
Field
Description
`static final EtypesPackage`
EtypesPackage.`eINSTANCE`
The singleton instance of the package.
Methods in org.eclipse.emf.cdo.etypes that return EtypesPackage
Modifier and Type
Method
Description
`EtypesPackage`
EtypesFactory.`getEtypesPackage()`
Returns the package supported by this factory.

## Uses of EtypesPackage in org.eclipse.emf.cdo.etypes.impl

Classes in org.eclipse.emf.cdo.etypes.impl that implement EtypesPackage
Modifier and Type
Class
Description
`class`
`EtypesPackageImpl`
An implementation of the model Package.
Methods in org.eclipse.emf.cdo.etypes.impl that return EtypesPackage
Modifier and Type
Method
Description
`EtypesPackage`
EtypesFactoryImpl.`getEtypesPackage()`
`static EtypesPackage`
EtypesFactoryImpl.`getPackage()`
Deprecated.
`static EtypesPackage`
EtypesPackageImpl.`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

## Uses of EtypesPackage in org.eclipse.emf.cdo.etypes.util

Fields in org.eclipse.emf.cdo.etypes.util declared as EtypesPackage
Modifier and Type
Field
Description
`protected static EtypesPackage`
EtypesAdapterFactory.`modelPackage`
The cached model package.
`protected static EtypesPackage`
EtypesSwitch.`modelPackage`
The cached model package